﻿@using GMPA.Core.Models.Umbraco;
@model List<GMPA.Core.Models.Umbraco.Country>

@{
    Dictionary<Country, string> countries = new Dictionary<Country, string>();

    foreach (var country in Model)
    {
        countries.Add(country, country.Continent.First());
    }
}

<div class="main-with-nav">
    <div style="background:#f4f7fa; padding:20px">
        <h1>All Countries</h1>
        <ul class="countries-list-grid">
            <!-- #region Africa-->
            <li class="country-divider">
                <b>Africa</b>
            </li>

            @foreach (var country in countries)
            {
                var countryItem = country.Key;
                var countryContinent = country.Value;

                @if (countryContinent == "Africa")
                {
                    @if (countryItem.Active.First() == "True")
                    {
                        <li class="countries-list-item-active">
                            <a href="@countryItem.Url()" class="countries-link-active">
                                <span class="side-nav-list-item-text">
                                    @countryItem.Name
                                </span>
                            </a>
                        </li>
                    }
                    else
                    {
                        <li class="countries-list-item-disabled">
                            <span class="side-nav-list-item-text">
                                @countryItem.Name
                            </span>
                        </li>
                    }

                    countries.Remove(countryItem);
                }
            }
            <!-- #endregion -->
            <!-- #region Asia-->
            <li class="country-divider">
                <b>Asia</b>
            </li>

            @foreach (var country in countries)
            {
                var countryItem = country.Key;
                var countryContinent = country.Value;

                @if (countryContinent == "Asia")
                {
                    @if (countryItem.Active.First() == "True")
                    {
                        <li class="countries-list-item-active">
                            <a href="@countryItem.Url()" class="countries-link-active">
                                <span class="side-nav-list-item-text">
                                    @countryItem.Name
                                </span>
                            </a>
                        </li>
                    }
                    else
                    {
                        <li class="countries-list-item-disabled">
                            <span class="side-nav-list-item-text">
                                @countryItem.Name
                            </span>
                        </li>
                    }

                    countries.Remove(countryItem);
                }
            }
            <!-- #endregion -->
            <!-- #region Europe-->
            <li class="country-divider">
                <b>Europe</b>
            </li>

            @foreach (var country in countries)
            {
                var countryItem = country.Key;
                var countryContinent = country.Value;

                @if (countryContinent == "Europe")
                {
                    @if (countryItem.Active.First() == "True")
                    {
                        <li class="countries-list-item-active">
                            <a href="@countryItem.Url()" class="countries-link-active">
                                <span class="side-nav-list-item-text">
                                    @countryItem.Name
                                </span>
                            </a>
                        </li>
                    }
                    else
                    {
                        <li class="countries-list-item-disabled">
                            <span class="side-nav-list-item-text">
                                @countryItem.Name
                            </span>
                        </li>
                    }

                    countries.Remove(countryItem);
                }
            }
            <!-- #endregion -->
            <!-- #region North America-->
            <li class="country-divider">
                <b>North America</b>
            </li>

            @foreach (var country in countries)
            {
                var countryItem = country.Key;
                var countryContinent = country.Value;

                @if (countryContinent == "North America")
                {
                    @if (countryItem.Active.First() == "True")
                    {
                        <li class="countries-list-item-active">
                            <a href="@countryItem.Url()" class="countries-link-active">
                                <span class="side-nav-list-item-text">
                                    @countryItem.Name
                                </span>
                            </a>
                        </li>
                    }
                    else
                    {
                        <li class="countries-list-item-disabled">
                            <span class="side-nav-list-item-text">
                                @countryItem.Name
                            </span>
                        </li>
                    }

                    countries.Remove(countryItem);
                }
            }
            <!-- #endregion -->
            <!-- #region Oceania-->
            <li class="country-divider">
                <b>Oceania</b>
            </li>

            @foreach (var country in countries)
            {
                var countryItem = country.Key;
                var countryContinent = country.Value;

                @if (countryContinent == "Oceania")
                {
                    @if (countryItem.Active.First() == "True")
                    {
                        <li class="countries-list-item-active">
                            <a href="@countryItem.Url()" class="countries-link-active">
                                <span class="side-nav-list-item-text">
                                    @countryItem.Name
                                </span>
                            </a>
                        </li>
                    }
                    else
                    {
                        <li class="countries-list-item-disabled">
                            <span class="side-nav-list-item-text">
                                @countryItem.Name
                            </span>
                        </li>
                    }

                    countries.Remove(countryItem);
                }
            }
            <!-- #endregion -->
            <!-- #region South America-->
            <li class="country-divider">
                <b>South America</b>
            </li>

            @foreach (var country in countries)
            {
                var countryItem = country.Key;
                var countryContinent = country.Value;

                @if (countryContinent == "South America")
                {
                    @if (countryItem.Active.First() == "True")
                    {
                        <li class="countries-list-item-active">
                            <a href="@countryItem.Url()" class="countries-link-active">
                                <span class="side-nav-list-item-text">
                                    @countryItem.Name
                                </span>
                            </a>
                        </li>
                    }
                    else
                    {
                        <li class="countries-list-item-disabled">
                            <span class="side-nav-list-item-text">
                                @countryItem.Name
                            </span>
                        </li>
                    }

                    countries.Remove(countryItem);
                }
            }
            <!-- #endregion -->
        </ul>
    </div>
</div>